Subject: Re: Problem Making GCC 2.95.2 with Cygwin 1.1.4
From: [email-masked] (Shell M. Shrader)
To: "Egor Duda" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 31 Aug 2000 21:49:52 -0400

I d/loaded and applied Mumit Khan's gcc-2.95.2-x86-win32-patches.tar.gz
patch, but now my make is failing much sooner in the process.  My big
concern here is that Mumit makes it a point to say that this patch is only
valid for Cygwin 1.0 (CD Release).  I have the latest NET release.

gcc -c -DHAVE_CONFIG_H -g -O2 -I. -I/usr/local/src/gcc-2.95.2/libiberty/../i
nclu
de  /usr/local/src/gcc-2.95.2/libiberty/pexecute.c
/usr/local/src/gcc-2.95.2/libiberty/pexecute.c:618: Invalid token in
expression
make[1]: *** [pexecute.o] Error 1
make[1]: Leaving directory `/usr/local/build/gcc-2.95.2/libiberty'
make: *** [all-libiberty] Error 2

 I took a look at pexecute.c line 618 (its the { for the switch statement
that evals pid).  I'm not the most proficient C/C++ developer but the
following code looked clean.  I also took a couple minutes to review the
preceeding code and nothing jumped out at me there either.

ssssooo..... I blew away my src directory, untarred GCC-2.95.2, saved a copy
of pexecute.c, applied Mumit's patch, executed the fix/update timestamp
script, then overwrote the patched pexecute.c with the original and  this
led to the following:

gcc -c -DHAVE_CONFIG_H -g -O2 -I. -I/usr/local/src/gcc-2.95.2/libiberty/../i
nclu
de  /usr/local/src/gcc-2.95.2/libiberty/pexecute.c
/usr/local/src/gcc-2.95.2/libiberty/pexecute.c: In function `pexecute':
/usr/local/src/gcc-2.95.2/libiberty/pexecute.c:379: warning: assignment
discards
 qualifiers from pointer target type

....
and then a fatal at:

gcc -c -DHAVE_CONFIG_H -g -O2 -I. -I/usr/local/src/gcc-2.95.2/libiberty/../i
nclu
de  /usr/local/src/gcc-2.95.2/libiberty/basename.c
/usr/local/src/gcc-2.95.2/libiberty/basename.c:29: Invalid token in
expression
make[1]: *** [basename.o] Error 1
make[1]: Leaving directory `/usr/local/build/gcc-2.95.2/libiberty'
make: *** [all-libiberty] Error 2

Any ideas?

Shell

----- Original Message -----
From: "Egor Duda" <[email-masked]>
To: "(Shell M. Shrader)" <[email-masked]>
Cc: <[email-masked]>
Sent: Thursday, August 31, 2000 2:42 AM
Subject: Re: Problem Making GCC 2.95.2 with Cygwin 1.1.4

> Hi!
>
> Thursday, 31 August, 2000 Shell M. Shrader [email-masked] wrote:
>
> SMS> I'm having a problem during the make bootstrap portion of the GCC
2.95.2
> SMS> install.
>
> SMS> I've tried to get a good build following the instructions to the
letter and
> SMS> have also tried a couple deviatons posted by others recently but I
always
> SMS> get the same error after about 45 minutes of what looks like are some
very
> SMS> serious compiles...
>
> [...]
>
> SMS> /usr/local/src/gcc-2.95.2/libf2c/libU77/etime_.c:102: union has no
member
> SMS> named
> SMS> `LowPart'
> SMS> make[2]: *** [etime_.o] Error 1
> SMS> make[2]: Leaving directory
`/usr/local/build/i686-cygwin/libf2c/libU77'
> SMS> make[1]: *** [u77] Error 2
> SMS> make[1]: Leaving directory `/usr/local/build/i686-cygwin/libf2c'
> SMS> make: *** [all-target-libf2c] Error 2
>
> SMS> Am I missing updated includes and headers?  Still being somewhat new
at this
> SMS> as best as I can tell I've either got bad references in etime_.c or
possibly
> SMS> some sort of problem with the nameless UNION statements in winnt.h,
> SMS> winntsup.h, etc.
>
> visit mumit khan's page at
>
> http://www.xraylith.wisc.edu/~khan/software/gnu-win32/index.html
>
> it contains a link to his set of patches for gcc
>
> ftp://ftp.xraylith.wisc.edu/pub/khan/gnu-win32/cygwin/gcc-2.95.2/patches/
>
> Egor.            mailto:[email-masked] ICQ 5165414 FidoNet 2:5020/496.19
>
>
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]